/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LAUNCHPAD_DEBUG_H__
#define __LAUNCHPAD_DEBUG_H__

#include <stdbool.h>
#include <bundle.h>

int _debug_create_extra_argv(int *arg, char ***argv);
int _debug_create_argv(int *argc, char ***argv, bool *attach);
void _debug_destroy_argv(int argc, char **argv);
int _debug_get_caller_pid(bundle *kb);
void _debug_prepare_debugger(bundle *kb);
int _debug_init(void);
void _debug_fini(void);

#endif /* __LAUNCHPAD_DEBUG_H__ */

