/*
 * Copyright (c) 2015 - 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __KEY_H__
#define __KEY_H__

#ifdef __cplusplus
extern "C" {
#endif

#define AUL_K_STARTTIME			"__AUL_STARTTIME__"
#define AUL_K_EXEC			"__AUL_EXEC__"
#define AUL_K_PACKAGETYPE		"__AUL_PACKAGETYPE__"
#define AUL_K_APP_TYPE			"__AUL_APP_TYPE__"
#define AUL_K_HWACC			"__AUL_HWACC__"
#define AUL_K_APPID			"__AUL_APPID__"
#define AUL_K_PID			"__AUL_PID__"
#define AUL_K_TASKMANAGE		"__AUL_TASKMANAGE__"
#define AUL_K_INTERNAL_POOL		"__AUL_INTERNAL_POOL__"
#define AUL_K_PKGID			"__AUL_PKGID_"
#define AUL_K_DEBUG			"__AUL_DEBUG__"
#define AUL_K_COMP_TYPE			"__AUL_COMP_TYPE__"
#define AUL_K_CALLER_PID		"__AUL_CALLER_PID__"
#define AUL_K_LOADER_ID			"__AUL_LOADER_ID__"
#define AUL_K_LOADER_PATH		"__AUL_LOADER_PATH__"
#define AUL_K_LOADER_EXTRA		"__AUL_LOADER_EXTRA__"
#define AUL_K_WAYLAND_DISPLAY		"__AUL_WAYLAND_DISPLAY__"
#define AUL_K_WAYLAND_WORKING_DIR	"__AUL_WAYLAND_WORKING_DIR__"
#define AUL_K_ROOT_PATH			"__AUL_ROOT_PATH__"
#define AUL_K_API_VERSION		"__AUL_API_VERSION__"
#define AUL_K_LOADER_NAME		"__AUL_LOADER_NAME__"
#define AUL_K_SDK			"__AUL_SDK__"
#define AUL_K_ORG_CALLER_PID		"__AUL_ORG_CALLER_PID__"
#define AUL_K_HIGHPRIORITY		"__AUL_HIGHPRIORITY__"
#define AUL_K_IS_GLOBAL			"__AUL_IS_GLOBAL__"
#define AUL_K_TEP_PATH			"__AUL_TEP_PATH__"
#define AUL_K_IS_INSTALLED		"__AUL_IS_INSTALLED__"
#define AUL_K_INSTALLED_STORAGE		"__AUL_INSTALLED_STORAGE__"

#ifdef __cplusplus
}
#endif

#endif  /* __KEY_H__ */

